<% port = ":3000" if Rails.env.development? %>
<script type="text/javascript">
	function get_school(value){
 		$.ajax({
 			type :"POST",
 			url :'/school/get_schoollist/'+encodeURIComponent(value),
 			data :'text', 
 			success: function(data){
 				$("#schoollist").html(data);
 				
 				//$("#schoollist").html(data);
 				
 			}
 			
 		}
 			
 		)		
	}
</script>

<script type="text/javascript">
	function test(id){

		location.href = encodeURI('http://course.trustie.net<%=port%>?school_id='+id);
	}
</script>
<script type="text/javascript">
	function ssearch(){
		//alert($("#key_word").val());
		value = $("#key_word").val();
		province = $("#province").val();
		//alert(province);
		$.ajax({
 			type :"POST",
 			url :'/school/search_school/?key_word='+encodeURIComponent(value)+'&province='+province,
 			data :'text', 
 			success: function(data){
 				$("#schoollist").html(data);
 				
 				//$("#schoollist").html(data);
 			}
 		})		

	}
</script>

<div>
	<p>
		<a href="http://course.trustie.net<%=port%>?school_id=0">全部学校</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
		<a href="http://course.trustie.net<%=port%>">我的学校</a>
	</p>
		<ul>
			<li style="width: 40%; float: left">请选择省份:<%= select_tag "province", 
				options_from_collection_for_select(School.find_by_sql("select distinct province from schools"), :province, :province), 
				:onclick => "get_school(this.value)" %></li>
			<li style="width: 50%; float: left"><input type="text" id="key_word" name="key_word" />
				<input type="button" class="enterprise" value="搜索" onclick="ssearch()"></li>
		</ul>

</div>
<div>
	<ul id="schoollist" style="line-height: 25px">
		
	</ul>
</div>

